Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.meshcms.util
Class CustomProperties

    java.lang.Object
      java.util.Dictionary
          java.util.Hashtable
              java.util.Properties
                  org.meshcms.util.CustomProperties

All Implemented Interfaces:
  java.lang.Cloneable, java.util.Map, java.io.Serializable

public class CustomProperties
extends java.util.Properties

Convenience class to use java.util.Properties to store values that are not strings. All additional getters require a default value, but you can safely use null for non-primitive types.

See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.Properties
`defaults`

Constructor Summary
`CustomProperties()`

Method Summary
`boolean` | `getProperty(java.lang.String key, boolean defaultValue)`
`int` | `getProperty(java.lang.String key, int defaultValue)`
`java.lang.String[]` | `getProperty(java.lang.String key, java.lang.String[] defaultValue, char separator)`
`void` | `setProperty(java.lang.String key, boolean value)`
`void` | `setProperty(java.lang.String key, int value)`
`void` | `setProperty(java.lang.String key, java.lang.String[] value, char separator)`

Methods inherited from class java.util.Properties
`getProperty, getProperty, list, list, load, propertyNames, save, setProperty, store`

Methods inherited from class java.util.Hashtable
`clear, clone, contains, containsKey, containsValue, elements, entrySet, equals, get, hashCode, isEmpty, keys, keySet, put, putAll, rehash, remove, size, toString, values`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CustomProperties

    public CustomProperties()

Method Detail

### getProperty

    public int getProperty(java.lang.String key,
                           int defaultValue)

### setProperty

    public void setProperty(java.lang.String key,
                            int value)

### getProperty

    public boolean getProperty(java.lang.String key,
                               boolean defaultValue)

### setProperty

    public void setProperty(java.lang.String key,
                            boolean value)

### getProperty

    public java.lang.String[] getProperty(java.lang.String key,
                                          java.lang.String[] defaultValue,
                                          char separator)

### setProperty

    public void setProperty(java.lang.String key,
                            java.lang.String[] value,
                            char separator)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD